Package com.independentsoft.msg

# Enum Class PropertyType

java.lang.Object
java.lang.Enum<PropertyType>
com.independentsoft.msg.PropertyType

All Implemented Interfaces:
  `Serializable`, `Comparable<PropertyType>`, `Constable`

public enum PropertyType extends Enum<PropertyType>
The Enum PropertyType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BINARY`
  `BOOLEAN`
  `CURRENCY`
  `ERROR_CODE`
  `FLOATING_TIME`
  `FLOATING32`
  `FLOATING64`
  `GUID`
  `INTEGER16`
  `INTEGER32`
  `INTEGER64`
  `MULTIPLE_BINARY`
  `MULTIPLE_CURRENCY`
  `MULTIPLE_FLOATING_TIME`
  `MULTIPLE_FLOATING32`
  `MULTIPLE_FLOATING64`
  `MULTIPLE_GUID`
  `MULTIPLE_INTEGER16`
  `MULTIPLE_INTEGER32`
  `MULTIPLE_INTEGER64`
  `MULTIPLE_STRING`
  `MULTIPLE_STRING8`
  `MULTIPLE_TIME`
  `OBJECT`
  `STRING`
  `STRING8`
  `TIME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PropertyType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static PropertyType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INTEGER16

    public static final PropertyType INTEGER16

  - ### INTEGER32

    public static final PropertyType INTEGER32

  - ### FLOATING32

    public static final PropertyType FLOATING32

  - ### FLOATING64

    public static final PropertyType FLOATING64

  - ### CURRENCY

    public static final PropertyType CURRENCY

  - ### FLOATING_TIME

    public static final PropertyType FLOATING_TIME

  - ### ERROR_CODE

    public static final PropertyType ERROR_CODE

  - ### BOOLEAN

    public static final PropertyType BOOLEAN

  - ### INTEGER64

    public static final PropertyType INTEGER64

  - ### TIME

    public static final PropertyType TIME

  - ### STRING

    public static final PropertyType STRING

  - ### BINARY

    public static final PropertyType BINARY

  - ### STRING8

    public static final PropertyType STRING8

  - ### GUID

    public static final PropertyType GUID

  - ### OBJECT

    public static final PropertyType OBJECT

  - ### MULTIPLE_INTEGER16

    public static final PropertyType MULTIPLE_INTEGER16

  - ### MULTIPLE_INTEGER32

    public static final PropertyType MULTIPLE_INTEGER32

  - ### MULTIPLE_FLOATING32

    public static final PropertyType MULTIPLE_FLOATING32

  - ### MULTIPLE_FLOATING64

    public static final PropertyType MULTIPLE_FLOATING64

  - ### MULTIPLE_CURRENCY

    public static final PropertyType MULTIPLE_CURRENCY

  - ### MULTIPLE_FLOATING_TIME

    public static final PropertyType MULTIPLE_FLOATING_TIME

  - ### MULTIPLE_INTEGER64

    public static final PropertyType MULTIPLE_INTEGER64

  - ### MULTIPLE_GUID

    public static final PropertyType MULTIPLE_GUID

  - ### MULTIPLE_TIME

    public static final PropertyType MULTIPLE_TIME

  - ### MULTIPLE_STRING

    public static final PropertyType MULTIPLE_STRING

  - ### MULTIPLE_BINARY

    public static final PropertyType MULTIPLE_BINARY

  - ### MULTIPLE_STRING8

    public static final PropertyType MULTIPLE_STRING8

- ## Method Details

  - ### values

    public static PropertyType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PropertyType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null